This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 673854 - (rubygem-cloudfiles) Review Request: rubygem-cloudfiles - Cloud Files API in ruby
Review Request: rubygem-cloudfiles - Cloud Files API in ruby
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nick Bebout
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-30 18:02 EST by Major Hayden
Modified: 2013-10-19 10:42 EDT (History)
4 users (show)

See Also:
Fixed In Version: rubygem-cloudfiles-1.4.10-3.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-08 22:10:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
nb: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Major Hayden 2011-01-30 18:02:51 EST
Spec URL: http://majorhayden.com/RPMS/rubygem-cloudfiles/rubygem-cloudfiles.spec
SRPM URL: http://majorhayden.com/RPMS/rubygem-cloudfiles/rubygem-cloudfiles-1.4.10-1.fc14.src.rpm
Description: A Ruby version of the Rackspace Cloud Files API

Just a sidenote: This is my first Fedora package. If I missed a guideline, it certainly wasn't intentional. ;-)
Comment 1 Ian Weller 2011-01-30 18:10:14 EST
I'll take this. In fact, we're both at FUDCon, so I might review it here with him.
Comment 2 Nick Bebout 2011-02-28 09:24:16 EST
Taking, per email.
Comment 3 Nick Bebout 2011-02-28 17:21:00 EST
[please fix] Each Ruby package must indicate the Ruby ABI version it depends on with a line like Requires: ruby(abi) = 1.8
[please fix] Ruby packages must require ruby at build  with a BuildRequires: ruby, and may indicate the minimal ruby version they need for building.
Comment 5 Nick Bebout 2011-03-01 18:51:09 EST
[nb@localhost SPECS]$ rpmlint rubygem-cloudfiles.spec 
rubygem-cloudfiles.spec:45: W: macro-in-comment %{buildroot}
rubygem-cloudfiles.spec:45: W: macro-in-comment %{_bindir}
rubygem-cloudfiles.spec:46: W: macro-in-comment %{buildroot}
rubygem-cloudfiles.spec:46: W: macro-in-comment %{geminstdir}
0 packages and 1 specfiles checked; 0 errors, 4 warnings.

[nb@localhost SPECS]$ rpmlint ../SRPMS/rubygem-cloudfiles-1.4.10-2.fc14.src.rpm 
rubygem-cloudfiles.src:45: W: macro-in-comment %{buildroot}
rubygem-cloudfiles.src:45: W: macro-in-comment %{_bindir}
rubygem-cloudfiles.src:46: W: macro-in-comment %{buildroot}
rubygem-cloudfiles.src:46: W: macro-in-comment %{geminstdir}
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

[nb@localhost noarch]$ rpmlint rubygem-cloudfiles-*
rubygem-cloudfiles.noarch: E: zero-length /usr/lib/ruby/gems/1.8/gems/cloudfiles-1.4.10/TODO
rubygem-cloudfiles-doc.noarch: W: no-documentation
rubygem-cloudfiles-doc.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/cloudfiles-1.4.10/ri/CloudFiles/Connection/container_exists%3f-i.yaml %3f
rubygem-cloudfiles-doc.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/cloudfiles-1.4.10/ri/CloudFiles/Connection/snet%3f-i.yaml %3f
rubygem-cloudfiles-doc.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/cloudfiles-1.4.10/ri/CloudFiles/Container/public%3f-i.yaml %3f
rubygem-cloudfiles-doc.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/cloudfiles-1.4.10/ri/CloudFiles/Container/log_retention%3d-i.yaml %3d
rubygem-cloudfiles-doc.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/cloudfiles-1.4.10/ri/CloudFiles/Container/object_exists%3f-i.yaml %3f
rubygem-cloudfiles-doc.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/cloudfiles-1.4.10/ri/CloudFiles/Container/empty%3f-i.yaml %3f
rubygem-cloudfiles-doc.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/cloudfiles-1.4.10/ri/CloudFiles/Container/log_retention%3f-i.yaml %3f
rubygem-cloudfiles-doc.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/cloudfiles-1.4.10/ri/CloudFiles/Connection/authok%3f-i.yaml %3f
2 packages and 0 specfiles checked; 1 errors, 9 warnings.
Comment 6 Nick Bebout 2011-03-01 18:57:10 EST
These rpmlint warnings are ok.

Sources match upstream.

Package meets Fedora packaing guidelines including ruby specific guidelines.

This package is APPROVED.

I will sponsor you shortly.
Comment 7 Major Hayden 2011-03-02 22:36:24 EST
New Package SCM Request
=======================
Package Name: ruby-cloudfiles
Short Description: A Ruby version of the Rackspace Cloud Files API
Owners: mhayden
Branches: f14 f15
InitialCC: nb
Comment 8 Major Hayden 2011-03-02 22:53:41 EST
New Package SCM Request
=======================
Package Name: rubygem-cloudfiles
Short Description: A Ruby version of the Rackspace Cloud Files API
Owners: mhayden
Branches: f14 f15
InitialCC: nb
Comment 9 Jason Tibbitts 2011-03-03 09:21:41 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2011-03-04 15:36:17 EST
Package rubygem-cloudfiles-1.4.10-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rubygem-cloudfiles-1.4.10-3.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/rubygem-cloudfiles-1.4.10-3.fc15
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2011-03-04 15:47:13 EST
Package rubygem-cloudfiles-1.4.10-3.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rubygem-cloudfiles-1.4.10-3.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/rubygem-cloudfiles-1.4.10-3.fc14
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2011-03-04 21:27:45 EST
rubygem-cloudfiles-1.4.10-3.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-cloudfiles'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/rubygem-cloudfiles-1.4.10-3.fc15
Comment 13 Fedora Update System 2011-03-08 22:10:44 EST
rubygem-cloudfiles-1.4.10-3.fc15 has been pushed to the Fedora 15 stable repository.
Comment 14 Fedora Update System 2011-03-12 17:56:56 EST
rubygem-cloudfiles-1.4.10-3.fc14 has been pushed to the Fedora 14 stable repository.

Note You need to log in before you can comment on or make changes to this bug.